#include "StdAfx.h"
#include "PresetSelectDlg.h"

#include <QMessageBox>
#include <QDir>

#include "PathInfo.h"



PresetSelectDlg::PresetSelectDlg(QWidget *parent)
	: QDialog(parent)
{
	ui.setupUi(this);

	Qt::WindowFlags flags = windowFlags() & (~Qt::WindowContextHelpButtonHint);
	flags = flags | Qt::WindowMinimizeButtonHint;
	flags = flags | Qt::WindowCloseButtonHint;
	setWindowFlags(flags);
}

PresetSelectDlg::~PresetSelectDlg()
{
}

void PresetSelectDlg::on_buttonBox_accepted()
{
	accept();
}

void PresetSelectDlg::on_buttonBox_rejected()
{
	reject();
}

void PresetSelectDlg::on_listImages_currentItemChanged(QListWidgetItem *current, QListWidgetItem *previous)
{
	emit ListSelectChanged();
}

void PresetSelectDlg::on_comboDataGroup_currentIndexChanged(int index)
{
	ChangeGroup(index);
}
